Erro na instalação da Steam "Fatal Error: Failed to load steamui.so"

1. Erro na instalação da Steam "Fatal Error: Failed to load steamui.so"

Gabriel Ferraz
gabrferraz

(usa Ubuntu)

Enviado em 17/05/2016 - 18:30h

Olá, começei a usar o Ubuntu 16.04 LTS ontem, tinha conseguido instalar a steam, porem tive um problema na placa de video e tive que reinstalar o SO. Agora ja nao consigo de nenhuma maneira a instalação do programa, a mensagem diz "Fatal Error: Failed to load steamui.so". Alguma ideia?



  


2. Re: Erro na instalação da Steam "Fatal Error: Failed to load steamui.so"

Emerson Esteves
enssso

(usa KUbuntu)

Enviado em 30/05/2016 - 22:36h

Cara, eu tava com o mesmo problema aqui e aparentemente acho que resolvi.

No meu caso, steam nao conseguia fazer o load do steamui.so por causa da libGL.so tinha uma versao velha na path /usr/lib32. A versao instalada pela distro esta em /usr/lib/i386-linux-gnu/mesa/. Para corrigir bastou rodar o comando

rm /usr/lib32/libGL*

Mas depois deu outro pau:
libGL error: unable to load driver: r600_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: r600
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast

Dai foi um pouco mais complicado, modifiquei o script da steam (~/.local/share/Steam/steam.sh)
para imprimir o que ele carrega no LD_LIBRARY_PATH e executei o comando ldd no r600_dri.so com esse LD_LIBRARY_PATH, apareceram esses erros:

/usr/lib/i386-linux-gnu/dri/r600_dri.so: /home/emerson/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /usr/lib/i386-linux-gnu/dri/r600_dri.so)
/usr/lib/i386-linux-gnu/dri/r600_dri.so: /home/emerson/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /usr/lib/i386-linux-gnu/dri/r600_dri.so)
/usr/lib/i386-linux-gnu/dri/r600_dri.so: /home/emerson/.local/share/Steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu/libtinfo.so.5: no version information available (required by /usr/lib/i386-linux-gnu/libLLVM-3.8.so.1)
/usr/lib/i386-linux-gnu/dri/r600_dri.so: /home/emerson/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /usr/lib/i386-linux-gnu/libLLVM-3.8.so.1)
/usr/lib/i386-linux-gnu/dri/r600_dri.so: /home/emerson/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /usr/lib/i386-linux-gnu/libLLVM-3.8.so.1)
/usr/lib/i386-linux-gnu/dri/r600_dri.so: /home/emerson/.local/share/Steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu/libtinfo.so.5: no version information available (required by /usr/lib/i386-linux-gnu/libedit.so.2)

No meu caso o steam esta usando as 'so' erradas entao apaguei:
rm /home/emerson/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6

rm /home/emerson/.local/share/Steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu/libtinfo.so.5

E voala, abriu o login do steam....


3. Re: Erro na instalação da Steam "Fatal Error: Failed to load steamui.so"

Emerson Esteves
enssso

(usa KUbuntu)

Enviado em 30/05/2016 - 23:33h

Para conseguir jogar ainda tive que apagar outros arquivos:

rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6
rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu/libgcc_s.so.1
rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/lib/x86_64-linux-gnu/libgcc_s.so.1
rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libstdc++.so.6
rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libxcb.so.1

Vi essa soluçao nesse forum:

https://github.com/ValveSoftware/steam-for-linux/issues/3093


4. Fiz um teste e consegui resolver meu caso

Rogerio J. Gentil
rogerio_gentil

(usa Ubuntu)

Enviado em 27/06/2016 - 22:47h

Eu estava com esse problemas há tempos e apenas removi todo o conteúdo do diretório ~/.local/share/Steam/:

$ sudo rm -r ~/.local/share/Steam/

Depois o próprio launcher me questionou se eu queria selecionar um diretório ou baixar todo o conteúdo novamente.


5. Re: Erro na instalação da Steam "Fatal Error: Failed to load steamui.so"

Jeferson
dunga_jods

(usa Debian)

Enviado em 03/03/2017 - 23:36h

Aconteceu comigo algo semelhante no Ubuntu 16.04.1 (64 bits), o que acorre é que o script da instalação do steam, depois que é baixado, necessita da biblioteca libc6:i386 para compilar a interface do usuário (steamui.so) e rodar o steam. Mas também , não consegue instalar esta biblioteca durante as etapas anteriores devido a pacotes instalados que conflitam com ele, e que impedem de ser desinstalados por necessitarem desinstalar todo o sistema (alguns deles). Tenta rever os últimos programas que instalou e tenta instalar estes programas ao desinstalá-los :
 sudo apt-get install cpp-5 g++-5 gcc-5 gcc-5-base gcc-5-base:i386 gcc-6-base:i386 libasan2
libatomic1 libbsd0:i386 libc-dev-bin libc6 libc6:i386 libc6-dbg libc6-dev
libcc1-0 libcilkrts5 libdrm-amdgpu1 libdrm-amdgpu1:i386 libdrm-intel1
libdrm-intel1:i386 libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1
libdrm-radeon1:i386 libdrm2 libdrm2:i386 libedit2:i386 libegl1-mesa
libelf1:i386 libexpat1:i386 libffi6:i386 libgbm1 libgcc-5-dev libgcc1:i386
libgcrypt20 libgcrypt20:i386 libgl1-mesa-dri libgl1-mesa-dri:i386
libgl1-mesa-glx libgl1-mesa-glx:i386 libglapi-mesa libglapi-mesa:i386
libgomp1 libgpg-error0:i386 libitm1 libllvm3.8 libllvm3.8:i386 liblsan0
libmpx0 libpciaccess0:i386 libquadmath0 libstdc++-5-dev libstdc++6
libstdc++6:i386 libtinfo5:i386 libtsan0 libtxc-dxtn-s2tc0:i386 libubsan0
libudev1 libudev1:i386 libwayland-egl1-mesa libx11-6:i386 libx11-xcb1:i386
libxau6:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386
libxcb-present0:i386 libxcb-sync1:i386 libxcb1:i386 libxdamage1:i386
libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxinerama1:i386
libxshmfence1:i386 libxxf86vm1:i386 udev zlib1g:i386

Lembrando, que a interface do Steam é escrita pra rodar em x86 (i386).
É bem provável que seja uma biblioteca de 64bits, que esteja causando este problema todo. Reinstalar o Ubuntu também "resolve".


6. Re: Erro na instalação da Steam

mario
triborks

(usa Ubuntu)

Enviado em 05/03/2017 - 16:15h

Boa tarde,

Eu estou com o mesmo problema. Tentei fazer ambas soluções que foram dadas, porem, sem sucesso. Sou usuario novo de linux, então, muitas coisas não consigo entender direito.

Quando tento executar o steam, aparece a seguinte mensagem.

steam
Running Steam on ubuntu 16.04 64-bit
STEAM_RUNTIME is enabled automatically
Error: You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1


Fico no aguardo por uma ajuda.

Att,


7. Re: Erro na instalação da Steam "Fatal Error: Failed to load steamui.so"

mario
triborks

(usa Ubuntu)

Enviado em 05/03/2017 - 16:35h

triborks escreveu:

Boa tarde,

Eu estou com o mesmo problema. Tentei fazer ambas soluções que foram dadas, porem, sem sucesso. Sou usuario novo de linux, então, muitas coisas não consigo entender direito.

Quando tento executar o steam, aparece a seguinte mensagem.

steam
Running Steam on ubuntu 16.04 64-bit
STEAM_RUNTIME is enabled automatically
Error: You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1


Fico no aguardo por uma ajuda.

Att,


Acabei de achar a solução em outro forum. E comigo funcionou.

https://ubuntuforums.org/showthread.php?t=2233005

Espero ter ajudado.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts